Subject: Re: bug#17115: 24.3.50; possible bug in drawing images with box on W32
From: YAMAMOTO Mitsuharu <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Fri, 28 Mar 2014 09:54:53 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.4

>>>>> On Thu, 27 Mar 2014 18:29:29 +0200, Eli Zaretskii <[email-masked]> said:

>> Steps to reproduce:
>> 
>> 1. $ emacs -Q -D &
>> 2. (insert-image (create-image "splash.png")
>> (propertize " " 'face '(:box (:line-width 5)))) C-j
>> 3. C-p C-p
>> 
>> Result:
>> 
>> The left half of the character `t' just after the image gets erased.

> Confirmed.  (And yes, you need to use the XPM image to reproduce the
> problem; PNG doesn't.)

Thanks for confirming this.

>> === modified file 'src/w32term.c'
>> *** src/w32term.c	2014-03-26 15:57:13 +0000
>> --- src/w32term.c	2014-03-27 02:32:46 +0000

> Thanks, I installed this with minor changes (to keep the original
> code style intact).

I moved the variables `x' and `y' to the inner block because that
makes the code look more like the corresponding one in xterm.c.

Anyway, I've just installed the patch for X11.  Closing.

				     YAMAMOTO Mitsuharu
				[email-masked]